##
##  npth.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2024 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         npth
Summary:      New GNU Portable Threads
URL:          ftp://ftp.gnupg.org/gcrypt/npth/
Vendor:       Werner Koch
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Libraries
License:      LGPL/GPL
Version:      1.7
Release:      20240308

#   list of sources
Source0:      ftp://ftp.gnupg.org/gcrypt/npth/npth-%{version}.tar.bz2

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101

%description
    This is a library to provide the GNU Pth API and thus a
    non-preemptive threads implementation. In contrast to GNU Pth is is
    based on the system's standard threads implementation. This allows
    the use of libraries which are not compatible to GNU Pth. Experience
    with a Windows Pth emulation showed that this is a solid way to
    provide a co-routine based framework.

%track
    prog npth = {
        version   = %{version}
        url       = ftp://ftp.gnupg.org/gcrypt/npth/
        regex     = npth-(__VER__)\.tar\.bz2
    }

%prep
    %setup -q

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    ./configure \
        --prefix=%{l_prefix} \
        --disable-tests \
        --disable-shared
    %{l_make} %{l_mflags}

%install
    %{l_make} %{l_mflags} install DESTDIR=$RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 $RPM_BUILD_ROOT%{l_prefix}/bin
    %{l_shtool} install -c -m 755 npth-config $RPM_BUILD_ROOT%{l_prefix}/bin/
    case "%{l_platform -t}" in
        *-linux* )
            %{l_shtool} subst -e 's;-lnpth;-lnpth -lrt;' \
                $RPM_BUILD_ROOT%{l_prefix}/bin/npth-config
            ;;
    esac
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

